<script lang="ts">
  import { Link } from 'svelte-navigator';
  import logo from 'assets/svelte.png';
  import ThemeButton from 'components/ThemeButton';
  import SignInButton from 'components/SignInButton';
  import {
    kanbanName,
    kanbanShortId,
  } from 'stores/authStore';
</script>

<nav class="bg-white border-gray-200 p-2 sm:p-3 w-full dark:bg-gray-800">
  <div class="relative flex flex-wrap justify-between items-center">
    <Link to="/" class="flex items-center">
      <img src={logo} class="ml-1 mr-3 h-9" alt="Svelte kanban" />
      <h1 class="self-center text-2xl font-semibold whitespace-nowrap dark:text-white">
        Svelte Kanban
      </h1>
    </Link>
    {#if $kanbanName && $kanbanShortId}
      <h3 class="text-xl absolute left-1/2 -translate-x-1/2 font-medium tracking-tight text-gray-900 dark:text-white">{$kanbanName}</h3>
    {/if}
    <div class="flex items-center gap-2">
      <SignInButton />
      <ThemeButton />
    </div>
  </div>
</nav>
